/*
 * bxlStatusChkAgent.c
 * bxlThermalCupsAPI.c
 * rastertoBixolon.c
 * 에서 해당 프린터 모델의 key값으로 변경 해주어야 한다.
 *
 */

/*************************************/
/************ SRP-350 ****************/
/*************************************/

// API ----- CUPS filter
#define SRP350_API_FILTER_MSQKEY			1303
// CUPS filter ---- status check agent
#define SRP350_FILTER_AGENT_MSQKEY      	1313
// statuc check agent ---- API
#define SRP350_AGENT_API_MSQKEY 	    	1323
// MAKE and MODEL
#define SRP350_MAKENMODEL			"Bixolon SRP-350"


/***************************************/
/************ SRP-350II ****************/
/***************************************/

// API ----- CUPS filter
#define SRP350II_API_FILTER_MSQKEY			3103
// CUPS filter ---- status check agent
#define SRP350II_FILTER_AGENT_MSQKEY      	3113
// statuc check agent ---- API
#define SRP350II_AGENT_API_MSQKEY 	    	3123
// MAKE and MODEL
#define SRP350II_MAKENMODEL		"Bixolon SRP-350II"


/****************************************/
/************ SRP-350IIK ****************/
/****************************************/

// API ----- CUPS filter
#define SRP350IIK_API_FILTER_MSQKEY			3603
// CUPS filter ---- status check agent
#define SRP350IIK_FILTER_AGENT_MSQKEY      	3613
// statuc check agent ---- API
#define SRP350IIK_AGENT_API_MSQKEY 	    	3623
// MAKE and MODEL
#define SRP350IIK_MAKENMODEL		"Bixolon SRP-350IIK"


/*****************************************/
/************ SRP-350plus ****************/
/*****************************************/

// API ----- CUPS filter
#define SRP350plus_API_FILTER_MSQKEY			603
// CUPS filter ---- status check agent
#define SRP350plus_FILTER_AGENT_MSQKEY      	613
// statuc check agent ---- API
#define SRP350plus_AGENT_API_MSQKEY 	    	623
// MAKE and MODEL
#define SRP350plus_MAKENMODEL			"Bixolon SRP-350plus"


/*******************************************/
/************ SRP-350plusII ****************/
/*******************************************/

// API ----- CUPS filter
#define SRP350plusII_API_FILTER_MSQKEY			2903
// CUPS filter ---- status check agent
#define SRP350plusII_FILTER_AGENT_MSQKEY      	2913
// statuc check agent ---- API
#define SRP350plusII_AGENT_API_MSQKEY 	    	2923
// MAKE and MODEL
#define SRP350plusII_MAKENMODEL		"Bixolon SRP-350plusII"


/*****************************************/
/************ SRP-352plus ****************/
/*****************************************/

// API ----- CUPS filter
#define SRP352plus_API_FILTER_MSQKEY			1103
// CUPS filter ---- status check agent
#define SRP352plus_FILTER_AGENT_MSQKEY      	1113
// statuc check agent ---- API
#define SRP352plus_AGENT_API_MSQKEY 	    	1123
// MAKE and MODEL
#define SRP352plus_MAKENMODEL			"Bixolon SRP-352plus"

/*******************************************/
/************ SRP-352plusII ****************/
/*******************************************/

// API ----- CUPS filter
#define SRP352plusII_API_FILTER_MSQKEY			3003
// CUPS filter ---- status check agent
#define SRP352plusII_FILTER_AGENT_MSQKEY      	3013
// statuc check agent ---- API
#define SRP352plusII_AGENT_API_MSQKEY 	    	3023
// MAKE and MODEL
#define SRP352plusII_MAKENMODEL		"Bixolon SRP-352plusII"


/**************************************/
/************ SRP-F310 ****************/
/**************************************/

// API ----- CUPS filter
#define SRPF310_API_FILTER_MSQKEY			2203
// CUPS filter ---- status check agent
#define SRPF310_FILTER_AGENT_MSQKEY      	2213
// statuc check agent ---- API
#define SRPF310_AGENT_API_MSQKEY 	    	2223
// MAKE and MODEL
#define SRPF310_MAKENMODEL			"Bixolon SRP-F310"


/**************************************/
/************ SRP-F312 ****************/
/**************************************/

// API ----- CUPS filter
#define SRPF312_API_FILTER_MSQKEY			3503
// CUPS filter ---- status check agent
#define SRPF312_FILTER_AGENT_MSQKEY      	3513
// statuc check agent ---- API
#define SRPF312_AGENT_API_MSQKEY 	    	3523
// MAKE and MODEL
#define SRPF312_MAKENMODEL			"Bixolon SRP-F312"


/**************************************/
/************ SPP-R200 ****************/
/**************************************/

// API ----- CUPS filter
#define SPPR200_API_FILTER_MSQKEY			1003
// CUPS filter ---- status check agent
#define SPPR200_FILTER_AGENT_MSQKEY      	1013
// statuc check agent ---- API
#define SPPR200_AGENT_API_MSQKEY 	    	1023
// MAKE and MODEL
#define SPPR200_MAKENMODEL					"Bixolon SPP-R200"


/**************************************/
/************* SPP-R300 ***************/
/**************************************/

// API ----- CUPS filter
#define SPPR300_API_FILTER_MSQKEY			3303
// CUPS filter ---- status check agent
#define SPPR300_FILTER_AGENT_MSQKEY    		3313
// statuc check agent ---- API
#define SPPR300_AGENT_API_MSQKEY 	    	3323
// MAKE and MODEL
#define SPPR300_MAKENMODEL					"Bixolon SPP-R300"


/**************************************/
/*********** SPP-R200II ***************/
/**************************************/

// API ----- CUPS filter
#define SPPR200II_API_FILTER_MSQKEY			4003
// CUPS filter ---- status check agent
#define SPPR200II_FILTER_AGENT_MSQKEY      	4013
// statuc check agent ---- API
#define SPPR200II_AGENT_API_MSQKEY 	    	4023
// MAKE and MODEL
#define SPPR200II_MAKENMODEL				"Bixolon SPP-R200II"


/**********************************/
/*********** SPP-R210 *************/
/**********************************/

// API ----- CUPS filter
#define SPPR210_API_FILTER_MSQKEY			8103
// CUPS filter ---- status check agent
#define SPPR210_FILTER_AGENT_MSQKEY      	8113
// statuc check agent ---- API
#define SPPR210_AGENT_API_MSQKEY 	    	8123
// MAKE and MODEL
#define SPPR210_MAKENMODEL				"Bixolon SPP-R210"


/*************************************/
/************ SRP-330 ****************/
/*************************************/

// API ----- CUPS filter
#define SRP330_API_FILTER_MSQKEY			4203
// CUPS filter ---- status check agent
#define SRP330_FILTER_AGENT_MSQKEY      	4213
// statuc check agent ---- API
#define SRP330_AGENT_API_MSQKEY 	    	4223
// MAKE and MODEL
#define SRP330_MAKENMODEL					"Bixolon SRP-330"


/*************************************/
/************ SRP-340 ****************/
/*************************************/

// API ----- CUPS filter
#define SRP340_API_FILTER_MSQKEY			5203
// CUPS filter ---- status check agent
#define SRP340_FILTER_AGENT_MSQKEY      	5213
// statuc check agent ---- API
#define SRP340_AGENT_API_MSQKEY 	    	5223
// MAKE and MODEL
#define SRP340_MAKENMODEL					"Bixolon SRP-340"


/*************************************/
/************ SRP-370 ****************/
/*************************************/

// API ----- CUPS filter
#define SRP370_API_FILTER_MSQKEY			103
// CUPS filter ---- status check agent
#define SRP370_FILTER_AGENT_MSQKEY      	113
// statuc check agent ---- API
#define SRP370_AGENT_API_MSQKEY 	    	123
// MAKE and MODEL
#define SRP370_MAKENMODEL					"Bixolon SRP-370"


/***************************************/
/************ SRP-350III ***************/
/***************************************/

// API ----- CUPS filter
#define SRP350III_API_FILTER_MSQKEY			4303
// CUPS filter ---- status check agent
#define SRP350III_FILTER_AGENT_MSQKEY      	4313
// statuc check agent ---- API
#define SRP350III_AGENT_API_MSQKEY 	    	4323
// MAKE and MODEL
#define SRP350III_MAKENMODEL		"Bixolon SRP-350III"


/***************************************/
/************ SRP-352III ***************/
/***************************************/

// API ----- CUPS filter
#define SRP352III_API_FILTER_MSQKEY			6003
// CUPS filter ---- status check agent
#define SRP352III_FILTER_AGENT_MSQKEY      	6013
// statuc check agent ---- API
#define SRP352III_AGENT_API_MSQKEY 	    	6023
// MAKE and MODEL
#define SRP352III_MAKENMODEL		"Bixolon SRP-352III"


/*******************************************/
/************ SRP-350plusIII ***************/
/*******************************************/

// API ----- CUPS filter
#define SRP350plusIII_API_FILTER_MSQKEY			6103
// CUPS filter ---- status check agent
#define SRP350plusIII_FILTER_AGENT_MSQKEY      	6113
// statuc check agent ---- API
#define SRP350plusIII_AGENT_API_MSQKEY 	    	6123
// MAKE and MODEL
#define SRP350plusIII_MAKENMODEL		"Bixolon SRP-350plusIII"


/*******************************************/
/************ SRP-352plusIII ***************/
/*******************************************/

// API ----- CUPS filter
#define SRP352plusIII_API_FILTER_MSQKEY			6303
// CUPS filter ---- status check agent
#define SRP352plusIII_FILTER_AGENT_MSQKEY      	6313
// statuc check agent ---- API
#define SRP352plusIII_AGENT_API_MSQKEY 	    	6323
// MAKE and MODEL
#define SRP352plusIII_MAKENMODEL		"Bixolon SRP-352plusIII"


/**************************************/
/************ SRP-F310II **************/
/**************************************/

// API ----- CUPS filter
#define SRPF310II_API_FILTER_MSQKEY			8703
// CUPS filter ---- status check agent
#define SRPF310II_FILTER_AGENT_MSQKEY      	8713
// statuc check agent ---- API
#define SRPF310II_AGENT_API_MSQKEY 	    	8723
// MAKE and MODEL
#define SRPF310II_MAKENMODEL			"Bixolon SRP-F310II"


/**************************************/
/************ SRP-F312II **************/
/**************************************/

// API ----- CUPS filter
#define SRPF312II_API_FILTER_MSQKEY			8803
// CUPS filter ---- status check agent
#define SRPF312II_FILTER_AGENT_MSQKEY      	8813
// statuc check agent ---- API
#define SRPF312II_AGENT_API_MSQKEY 	    	8823
// MAKE and MODEL
#define SRPF312II_MAKENMODEL			"Bixolon SRP-F312II"


/**************************************/
/************ SRP-F313II **************/
/**************************************/

// API ----- CUPS filter
#define SRPF313II_API_FILTER_MSQKEY			9003
// CUPS filter ---- status check agent
#define SRPF313II_FILTER_AGENT_MSQKEY      	9013
// statuc check agent ---- API
#define SRPF313II_AGENT_API_MSQKEY 	    	9023
// MAKE and MODEL
#define SRPF313II_MAKENMODEL			"Bixolon SRP-F313II"



/***********************************/
/************ SRP-380 **************/
/***********************************/

// API ----- CUPS filter
#define SRP380_API_FILTER_MSQKEY            9603
// CUPS filter ---- status check agent
#define SRP380_FILTER_AGENT_MSQKEY          9613
// statuc check agent ---- API
#define SRP380_AGENT_API_MSQKEY             9623
// MAKE and MODEL
#define SRP380_MAKENMODEL           "Bixolon SRP-380"


/***********************************/
/************ SRP-382 **************/
/***********************************/

// API ----- CUPS filter
#define SRP382_API_FILTER_MSQKEY            9703
// CUPS filter ---- status check agent
#define SRP382_FILTER_AGENT_MSQKEY          9713
// statuc check agent ---- API
#define SRP382_AGENT_API_MSQKEY             9723
// MAKE and MODEL
#define SRP382_MAKENMODEL           "Bixolon SRP-382"


/***********************************/
/************ SPP-R310 *************/
/***********************************/

// API ----- CUPS filter
#define SPPR310_API_FILTER_MSQKEY            9203
// CUPS filter ---- status check agent
#define SPPR310_FILTER_AGENT_MSQKEY          9213
// statuc check agent ---- API
#define SPPR310_AGENT_API_MSQKEY             9223
// MAKE and MODEL
#define SPPR310_MAKENMODEL           "Bixolon SPP-R310"


/**************************************************/
/****  Set this value *****************************/
/**************************************************/
#define API_FILTER_MSQKEY		SRP350plusIII_API_FILTER_MSQKEY
#define FILTER_AGENT_MSQKEY		SRP350plusIII_FILTER_AGENT_MSQKEY
#define AGENT_API_MSQKEY		SRP350plusIII_AGENT_API_MSQKEY

#define MAKENMODEL				SRP350plusIII_MAKENMODEL
/**************************************************/
/**************************************************/
/**************************************************/


